io_block(3)

NAME
io_block - switch to blocking I/O

SYNTAX
#include <libowfat/io.h> void io_block(int64 fd);

DESCRIPTION
io_block puts UNIX descriptor fd into ``blocking mode.'' File descriptors are normally in blocking mode, except if they come from accept() or io_accept() and the listening socket was in non-blocking mode.

SEE ALSO
io_nonblock(3)